# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/pci/st,stm32-pcie-common.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: STM32MP25 PCIe RC/EP controller

maintainers:
  - Christian Bruel <christian.bruel@foss.st.com>

description:
  STM32MP25 PCIe RC/EP common properties

properties:
  clocks:
    maxItems: 1
    description: PCIe system clock

  resets:
    maxItems: 1

  power-domains:
    maxItems: 1

  access-controllers:
    maxItems: 1

required:
  - clocks
  - resets

additionalProperties: true
